# Uses of Interface
javafx.scene.media.AudioSpectrumListener

Packages that use AudioSpectrumListener
Package
Description
javafx.scene.media
Provides the set of classes for integrating audio and video into Java FX Applications.

## Uses of AudioSpectrumListener in javafx.scene.media

Methods in javafx.scene.media that return AudioSpectrumListener
Modifier and Type
Method
Description
`final AudioSpectrumListener`
MediaPlayer.`getAudioSpectrumListener()`
Retrieves the listener of the audio spectrum.
Methods in javafx.scene.media that return types with arguments of type AudioSpectrumListener
Modifier and Type
Method
Description
`ObjectProperty<AudioSpectrumListener>`
MediaPlayer.`audioSpectrumListenerProperty()`
A listener for audio spectrum updates.
Methods in javafx.scene.media with parameters of type AudioSpectrumListener
Modifier and Type
Method
Description
`final void`
MediaPlayer.`setAudioSpectrumListener(AudioSpectrumListener listener)`
Sets the listener of the audio spectrum.